=== debian/changelog ===
ros-geometry2 (0.6.5-3) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Dec 2018 21:59:04 +0100

ros-geometry2 (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * python3-tf2-geometry-msgs imports rospy -> add dependency on python3-rospy
    (closes: #916071)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 09 Dec 2018 22:57:56 +0100

ros-geometry2 (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.5
  * Refresh patches

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 13:26:16 +0100

ros-geometry2 (0.6.4-2) unstable; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * Improve autopkgtest
  * Enable hardening

  [ Jochen Sprickerhof ]
  * Add missing dependencies of libtf2-dev and libtf2-bullet-dev
  * Upstream ships Python modules and C++ headers in the same package and thus
    catkin-generated pkg-config dependencies will also include Python
    dependencies for the C++ headers. Since we split Python modules and C++
    headers into separate Packages in Debian, add some Debian-specific patches
    that account for this property and remove dependencies accordingly.

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 12:36:40 +0100

ros-geometry2 (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Update copyright
  * Revert "Remove MA hint (according to lintian)"
  * Remove trailing spaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Nov 2018 17:59:00 +0100

ros-geometry2 (0.6.3-2) unstable; urgency=medium

  * Add missing dependencies
  * Remove MA hint (according to lintian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 11:22:39 +0100

ros-geometry2 (0.6.3-1) unstable; urgency=medium

  * Fix typo in changelog
  * Drop wrong MA hints
  * New upstream version 0.6.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 13:13:43 +0100
