=== debian/tests/control ===
Test-Command: ./debian/tests/compilation tf2 tf2/utils.h tf2/buffer_core.h tf2/time_cache.h tf2/convert.h
Restrictions: allow-stderr
Depends: libtf2-dev, catkin, g++
Features: test-name=libtf2-dev

Test-Command: ./debian/tests/compilation tf2_ros tf2_ros/buffer_server.h tf2_ros/transform_listener.h
Restrictions: allow-stderr
Depends: libtf2-ros-dev, catkin, g++
Features: test-name=libtf2-ros-dev

Test-Command: ./debian/tests/compilation tf2_msgs tf2_msgs/FrameGraph.h tf2_msgs/LookupTransformAction.h tf2_msgs/TFMessage.h
Restrictions: allow-stderr
Depends: libtf2-msgs-dev, catkin, g++
Features: test-name=libtf2-msgs-dev

Test-Command: ./debian/tests/compilation tf2_sensor_msgs tf2_sensor_msgs/tf2_sensor_msgs.h
Restrictions: allow-stderr
Depends: libtf2-sensor-msgs-dev, catkin, g++
Features: test-name=libtf2-sensor-msgs-dev

Test-Command: ./debian/tests/compilation tf2_bullet tf2_bullet/tf2_bullet.h
Restrictions: allow-stderr
Depends: libtf2-bullet-dev, catkin, g++
Features: test-name=libtf2-bullet-dev

Test-Command: ./debian/tests/compilation tf2_eigen tf2_eigen/tf2_eigen.h
Restrictions: allow-stderr
Depends: libtf2-eigen-dev, catkin, g++
Features: test-name=libtf2-eigen-dev

Test-Command: ./debian/tests/compilation tf2_geometry_msgs tf2_geometry_msgs/tf2_geometry_msgs.h
Restrictions: allow-stderr
Depends: libtf2-geometry-msgs-dev, catkin, g++
Features: test-name=libtf2-geometry-msgs-dev

Test-Command: ./debian/tests/compilation tf2_kdl tf2_kdl/tf2_kdl.h
Restrictions: allow-stderr
Depends: libtf2-kdl-dev, catkin, g++
Features: test-name=libtf2-kdl-dev

Test-Command: python3 -c 'import tf2'
Restrictions: allow-stderr
Depends: python3-tf2
Features: test-name=python3-tf2

Test-Command: python3 -c 'import tf2_ros'
Restrictions: allow-stderr
Depends: python3-tf2-ros
Features: test-name=python3-tf2-ros

Test-Command: python3 -c 'import tf2_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-msgs
Features: test-name=python3-tf2-msgs

Test-Command: python3 -c 'import tf2_sensor_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-sensor-msgs
Features: test-name=python3-tf2-sensor-msgs

Test-Command: python3 -c 'import tf2_geometry_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-geometry-msgs
Features: test-name=python3-tf2-geometry-msgs

Test-Command: python3 -c 'import tf2_kdl'
Restrictions: allow-stderr
Depends: python3-tf2-kdl
Features: test-name=python3-tf2-kdl
