=== debian/changelog ===
ros-geometry2 (0.6.6-1build3) focal; urgency=medium

  * Rebuild against new boost1.67.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 00:08:34 +0100

ros-geometry2 (0.6.6-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:32:55 +0000

ros-geometry2 (0.6.6-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:06:04 +0000

ros-geometry2 (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6
  * Rebase patches
  * Update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Jan 2020 21:51:17 +0100

ros-geometry2 (0.6.5-5) unstable; urgency=medium

  * Fix breaks/replaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 23:33:36 +0200

ros-geometry2 (0.6.5-4) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938380)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:51:10 +0200
