=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: ros-geometry2
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-exec,
 		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-dev, python3-dev, python-setuptools, dh-python,
+		python3-dev, python3-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-actionlib-msgs,
-		libconsole-bridge-dev, python-rospy,
+		libconsole-bridge-dev, python3-rospy (>= 1.14.3+ds1-7), python3-rosgraph (>= 1.14.3+ds1-7),
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
 		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
-		libboost-dev, libboost-thread-dev, libboost-signals-dev,
+		libboost-dev, libboost-thread-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, ros-sensor-msgs
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometry2
@@ -52,24 +53,12 @@
  .
  This package contains the development files of the tf2 library.
 
-Package: python-tf2
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
-Description: Robot OS tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 binding.
-
 Package: python3-tf2
 Section: python
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
+Breaks: python-tf2 (<< 0.6.5-4)
+Replaces: python-tf2 (<< 0.6.5-4)
 Description: Robot OS tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -109,24 +98,10 @@
  .
  This package contains the development files of the ROS binding to tf2.
 
-Package: python-tf2-ros
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs, python-tf2
-Description: Robot OS binding for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the ROS Python 2 binding to tf2.
-
 Package: python3-tf2-ros
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2
+Depends: ${python3:Depends}, ${misc:Depends}, python3-tf2, python3-rospy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2, python3-rosgraph, python3-geometry-msgs
 Description: Robot OS binding for tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -167,24 +142,10 @@
  .
  This package contains the development files.
 
-Package: python-tf2-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
-Description: Robot OS messages for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 code.
-
 Package: python3-tf2-msgs
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs, python3-actionlib-msgs
+Depends: ${python3:Depends}, ${misc:Depends}, python3-geometry-msgs, python3-actionlib-msgs
 Description: Robot OS messages for tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -241,20 +202,59 @@
  .
  This package contains utils to transform sensor_msgs with tf2.
 
-Package: python-tf2-sensor-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
-Description: Robot OS sensor messages for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 code to transform sensor_msgs with tf2.
-
 Package: python3-tf2-sensor-msgs
 Section: python
 Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-pykdl, python3-rospy, python3-tf2-ros
+Description: Robot OS sensor messages for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains the Python 3 code to transform sensor_msgs with tf2.
+
+Package: libtf2-bullet-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev, libbullet-dev,
+Description: Robot OS tf2 transform library for Bullet - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains the development files for libtf2 for Bullet.
+
+#tf2_eigen
+Package: libtf2-eigen-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
+Description: Robot OS tf2 transform library for Eigen - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains development files to convert between libtf2 and Eigen.
+
+#tf2_geometry_msgs
+Package: libtf2-geometry-msgs-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev,
+Description: Robot OS geometry messages for tf2 transform library - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
